Wordpress cannot update becuse of php version outdated in My Cloud EX2 Ultra

Hi there. If I try to update Wordpress I get a message that says that my current version of php is outdated, but I cannot update anything since WD does not allow to upload installation files out of My Cloud EX2 Ultra platform, something stupid since the cloud is mine… WILL WD FIX THIS STUPID PRACTICE?
It does not happen with Synology NAS or other brands, but I have realized that after I chose WD. I will not upgrade WD systems anymore.

Best wishes,

Frrank

Hi,

You could refer to the following link: https://support-en.wd.com/app/answers/detail/a_id/10655

This doesn’t help.

The question is, when will we be able to have a current enough version of PHP on the device that Wordpress doesn’t complain.

Although I did just notice this…
The most recent firmware update helps a little

… which brings PHP up to 7.3

Now Wordpress is asking for PHP 7.4, so hopefully WD will be able to make another upgrade available before Wordpress fails to run on 7.3.

As of Feb 2021 they still list 7.3 as a minimum PHP version: Before You Install | WordPress.org

Requirements on the server side #Requirements on the server side

  • PHP 7.3 or greater
  • MySQL 5.6 or MariaDB 10.1 or greater

For a list of detail requirements on your web host, refer the official requirement page.